cmucl (20f-1) unstable; urgency=low

  * New upstream release. Changes:
    http://trac.common-lisp.net/cmucl/wiki/Release20e 
    http://trac.common-lisp.net/cmucl/wiki/Release20f 
 
    This fixes:
     - "segfault" with newer kernels (Closes: #723679)

  * Build now created linux-n not anymore build-n
  * Use canonical URL for git repository
  * Updated Standard Version, no major changes
  * Upstream now only supports SSE2 builds, no more x87 only,
    modified to cmucl.1 manpage to reflect this.
  * include updated watch file from

    http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/cmucl_20c-2.1.watch?view=markup
    
    thanks to bartm.
  * Don't copy the clx and hemlock sources twice into the cmucl-source
    package. Thanks to the dedup project. 
  * use pathfind in prerm to avoid lintian warning 
    command-with-path-in-maintainer-script
  * Now using debhelper compatibility level 9 
  * Removed references to pre-historic versions and conflicts 
  * Enable debian hardening options 
  * Prevented duplicate conf-file by running dh_buildep with 
    appropriate options 
  * Fix "FTBFS: build-indep needed for binary-arch" by moving the 
    cmucl-clm documentation to cmucl-docs. This builds on the previous
    entry which implemented the --arch --indep seperation.

    Thanks for Paul Gevers <elbrus@debian.org> for the patch.

    (Closes: #683398)
  * Fix "clean target does not clean up all created files" by 
    importing the patch from Paul Gevers <elbrus@debian.org>.
    (Closes: #728045)
  * Added the Italian translation of debconf messages.
    (Closes: #737220)
  * disable the gray-stream-examples-protection.patch as it
    breaks the gray-streams in fact.
  * Use the motif packages instead of lesstif.
  * Fix the Vcs-Git URL

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 04 Jun 2015 05:02:05 +0000

cmucl (20c-2) unstable; urgency=low

  * Actually reference the changelog for 20c, not 19d!
  * Remove unneeded postinst/prerm for cmucl-source. (Closes: #656317)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 23 Jan 2012 06:24:27 +0000

cmucl (20c-1) unstable; urgency=low

  * New upstream release: 20c. Lots of changes see:
    http://common-lisp.net/project/cmucl/downloads/release/20c/release-20c.txt
  * Add workaround for gcc-4.6 over-optimization. (Closes: #483331)
  * Added Danish translation. (Closes: #626735)
  * Document workaround-for-gcc-4.6-overoptimization patch
  * Updated Standards-Version, no real changes
  * Remove the 'The''s in the Descriptions
  * Removed non-required changelog files
  * Improved cmucl package description
  * Stop using common-lisp-controller and dh-lisp
  * Prepare for release

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Jan 2012 13:54:26 +0000

cmucl (20b-1) unstable; urgency=low

  * New upstream release: 20b. (Closes: #587450)
  * Integrated patch 20b-000 
  * We were cleaning up too much, don't remove .gif files
  * Fixed typo in src/docs/cmu-user/unicode.tex 
  * Make documentation work with newer texlive/hevea
  * Updated Standards-Version, no real changed
  * Use + in NEWS file 
  * move own-work round as quilt assumes that all our stuff is in debian/
  * Found a workaround. Now we build sse2 and x87 images of cmucl. 
    (Closes: #526584) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 25 Feb 2011 04:50:46 +0000

cmucl (20a-20090928-2) unstable; urgency=low

  * Integrated patch-000 for 20a.
  * fix cmucl-docs Section, should also be lisp

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 05 Oct 2009 07:10:17 +0200

cmucl (20a-20090928-1) unstable; urgency=low

  * Added debian/README.building file
  * Added ru.po file, thanks to Yuri Kozlov. (Closes: #541763)
  * New upstream release.
  * Fixed a small TeX typo
  * Change section to lisp
  * Updated Standards-Version no real changes
  * Also install src/pcl/simple-streams/external-formats files into
    usr/lib/cmucl/ext-formats

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 01 Oct 2009 15:32:31 +0000

cmucl (19f-20090312-1) unstable; urgency=low

  * New upstream release. Major changes:
      + Feature enhancements:
        - ~R supports many more cardinal names.
        - Updated network support:
          o Added BIND-INET-SOCKET to bind a socket to a local address.
          o Added OPEN-NETWORK-STREAM to create a stream connected to a 
            given host.
          o Added ACCEPT-NETWORK-STREAM to create a stream connected to
            the new network connection
          o Updated CONNECT-TO-INET-SOCKET to allow binding the newly
            created socket to a local address
        - Added UNIX:UNIX-OPENPTY, an interface to the openpty C library
          function.
        - SSE2 support added for x86.
          o CMUCL automatically detects whether sse2 is supported or not
            and loads up the appropriate core file.
          o New -fpu switch allows the user to specify explicitly which
            core should be used.  The valid values are x87, sse2, or auto
            (the default).
          o Fasls compiled with sse2 support have the extension sse2f.
            Otherwise, the normal x86f extension is used.  This allows the
            user to do tests/experiments with both x87 and sse2 without
            having to mess around with different directories and removing
            fasls before building for a different FPU.
          o If the chip supports sse2, but CMUCL can't find the sse2 core,
            CMUCL will try to fall back to the x87 core.  (This only
            happens if -fpu is auto.)
        - Command line parsing now recognizes the option "--".  Everything
          after "--" is not subject to CMUCL's command line parsing, and
          everything after the "--" is placed in the new variable
          EXT:*COMMAND-LINE-APPLICATION-ARGUMENTS*. 
    
      + ANSI compliance fixes:
        - Fix bug in backquote printer.  If the variable is @foo, we want
          to print ", @foo" not ",@foo".  Similarly, for .foo, we want to
          print ", .foo" instead of ",.foo".
        - Fix merging of version in MAKE-PATHNAME.  If the pathname name
          is given, the version is not affected by the version in the
          default pathname.
        - RENAME-FILE now creates defaulted-new-name from merging new-name
          with the original filespec.  This is an incompatible change from
          the previous version which created defaulted-new-name from
          merging the new-name with the truename of filespec.  Also, a
          logical pathname should be returned if new-name is a logical
          pathname. 
        - Character names need to be a capital letter followed by lower
          case.  Needed to match what ~:C does.  (Found via ansi-tests).
    
      + Bugfixes:
        - Compiler can now derive the rank of an array, even if the array
          is not simple.
        - Fix off-by-one bug in ~R which prevents printing numbers from
          10^63 to 10^66-1.  10^63 is a vigintillion.
        - The compiler and interpreter should now handle slot-value the
          same.  Previously, different results were returned for things
          like (slot-value foo :a).
        - UNIX-GETGRNAM is now defined for Darwin (x86 and ppc).
        - UNIX-GETPWUID is defined for all BSD systems.
        - Type-derivation for EXPT no longer causes errors in some
          situations.  The computed bounds were of the wrong type for the
          resulting type specifier.
        - Pathname printer no longer produces an error for (MAKE-PATHNAME
          :HOST NIL :TYPE "foo").  It returns #P(:HOST NIL :TYPE "foo")
          now. 
        - Type derivation for DOUBLE-DOUBLE-FLOAT arithmetic should be
          working.  Previously, all arithmetic operations would just
          return DOUBLE-DOUBLE-FLOAT even though the compiler should have
          been able to figure out a tighter result.
        - When SCALE-FLOAT would underflow, it would always return 0f0,
          instead of a floating-point zero of the correct type.
        - Fix some issues in creating the debug arglist string when the
          arglist contains items that can't be printed readably.
        - DIRECTORY is now faster for directories with a large number of
          files.  
        - RANDOM is now much faster on all platforms for numbers upto
          #xffffffff.  This is an incompatible change from previous
          releases because the numbers produced may be different from
          before.  
        - The small bias in RANDOM for integer args up to 32 bits long
          should now be gone.
        - Improved type derivation for LOGAND when one arg is bounded but
          the other is not.
        - Some issues with tracing on sparc and ppc have been fixed.  This
          usually manifests itself with a segfault just after the function
          result is printed.
        - Fixed bug on sparc where C-c sometimes causes a segfault.  We
          now handle the case where siginfo_t is NULL, which can also
          happen on other architectures.
        - The interpreter catches invalid EVAL-WHEN situations just like
          the compiler, instead of silently ignoring them.
        - FLOAT-PRECISION supports double-double floats.
        - Tracing should now be working on Darwin/x86.  Previously,
          certain cases would cause Lisp to segfault in bad ways where you
          could not return to the repl.  Do not need to do encapsulation
          by default anymore.
        - The bounds for type (REAL lo hi) are computed better now.  The
          REAL type is a union of SINGLE-FLOAT, DOUBLE-FLOAT, and
          DOUBLE-DOUBLE-FLOAT.  The computed bounds for
          DOUBLE-DOUBLE-FLOAT only had double-float accuracy if the bound
          for REAL was a rational.
        - The FLOAT type now requires that the bounds, if given, are
          floats.  Previously, any real type would be accepted.  This
          makes FLOAT behave like SINGLE-FLOAT and DOUBLE-FLOAT which
          required the bounds to be a float of the appropriate type.
    
      + Trac Tickets:
        - #16: Read-time hash-table issue
          Fixed.
        - #17: LOOP NAMED NIL has no effect
          Fixed.
        - #18: Modular arith bug 1
          Fixed
        - #19: Modular arith bug 2
          Fixed by not doing modular arith if the args are known to be
          fixnums.
        - #20: Modular arith bug?
          Fixed via the fix for Trac #21.  The original workaround has
          been removed.
        - #24: Float contagion for expt
          Float contagion is applied to the arguments before computing
          expt.
        - #21: Modular arith bug 3
          Fixed by delaying the logand defoptimizer.
        - #15: x86 double-float issue
          Fixed when using SSE2 support.  We will not fix this for x87.
        - #25: Compiler bug
          Fixed.
        - #26: slot-value type check
          Fixed for some cases.  When used in methods, slot-value may not
          do the type check.if the object is not a argument to the method.
        - #29: make-condition doesn't accept class objects
          Fixed.
    
      + Other changes:
        - IS1, IS2, IS3, and IS4 are recognized character names for the
          ASCII control codes US, RS, GS, FS, respectively.
        - Added OPEN-NETWORK-STREAM and ACCEPT-NETWORK-STREAM functions.
        - When initializing a random state, try to read 627 words from
          /dev/urandom to initialize the entire state vector with random
          bits.  Previously, only one word was read.
        - A seed of 0 is allowed in KERNEL:INIT-RANDOM-STATE.
        - Updated User guide to include more examples of tracing.
        - Enable gencgc page protection on x86/darwin.  This can speed up
          GC a bit.  (Not measured.)
        - Bignum truncate is significantly faster.  Some cl-bench
          benchmarks are now almost twice as fast.
        - The continuable error produced by raising an integer to a power
          exceeding *intexp-maximum-exponent* is now a restart, giving the
          user the option to continue and update the limit to the new
          power.
        - The Darwin/x86 port can run on Mac OS X 10.4 or later.
    
      + Improvements to the PCL implementation of CLOS:
        - The compiler and interpreter should handle SLOT-VALUE the same
          way.  Previously, (SLOT-VALUE obj :a) would behave differently
          in the compiler and interpreter.
        - Some issues with get-accessor-method-function and
          slot-value-using-class have been fixed.
          Get-accessor-method-function was causing an error to be signaled
          incorrectly.
        - (setf (slot-value <obj> <slot>) <new>) will now signal an error
          in some situations when the new value is not of the correct
          declared type for slot.
    
      + Changes to building procedure:
        - For Linux, custom CFLAGS, CC, and LDFLAGS are supported.
          Requested by Stelian Ionescu for Gentoo support.
        - The Linux config file is now named Config.x86_linux, which is
          the equivalent to Config.linux_gencgc, which is deprecated.
      * From this version onwards I will only support the sse2 variant 
        as I don't have any non-sse2 machines anymore. 
  * Updated debhelper version to 7
  * updated standard version without any real changes
  * use dh_prep instead of dh_clean -k

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 18 Apr 2009 20:27:23 +0000

cmucl (19e-20080501-2) unstable; urgency=low

  * fix brown bag bug: use cmucl in script, not lisp
  * New version should Fixes: #483331 because of asm change
  * tag

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Apr 2009 05:21:04 +0200

cmucl (19e-20080501-1) unstable; urgency=low

  [ Peter Van Eynde ]
  * change dependency on x-dev to x11proto-core-dev. (Closes: #515378)
  * update release in Makefile
  * fix for changed assembly semanics: fnstsw  %eax -> fnstsw  %ax
  * we do need the varioref package
  * updated standard-version no real changes
  * update build-dependency
  * no longer provide the lisp symlink
  * fix manpage
  * remove prepended paths
  * abort preinst on errors
  * New upstream. Major changes:

      + Feature enhancements:
        ++ Support for dynamic-extent added for ppc.  However, it suffers
           from the same problems with dynamic-extent as other platforms,
           so it is disabled by default.  Tests indicate that it does work
           in simple situations.
        ++ PARSE-TIME recognizes the format produced by C asctime/ctime.
           (This change may break some other less commonly used patterns.)
        ++ PARSE-TIME recognizes and discards any microseconds.
        ++ PARSE-TIME checks that a specified day of the week matches the
           actual day of the week given in the date.  An error is signaled
           if they are inconsistent. 
        ++ New option to SAVE-LISP allows creating executable Lisp images
           that do not require a runtime loader.
           Syntax: (save-lisp "filename" :executable t)
           Currently supported on FreeBSD and Linux; work on a Solaris
           version is underway.
           Limitations: depends on files in "library:" to dump new
           executable images.
        ++ CMUCL's version of CLX has been replaced with telent CLX.
        ++ Preliminary support for external formats.  Currently only
           iso8859-1 and utf-8 are supported.  Utf-8 support is limited
           since CMUCL only has 8-bit characters.
        ++ UNIX-MPROTECT added to access mprotect.
    
      + ANSI compliance fixes:
        ++ BOA constructors with &AUX variables are handled better now.
        ++ SHADOW accepts characters now.
        ++ Default initargs are now passed correctly to initialize-instance
           and shared-initialize.
        ++ Several issues in formatted output of floats have been fixed:
           o ~,dF won't print out extra digits if the number is too small. 
           o ~E sometimes erroneously printed the overflow filler instead
             of the number.
           o ~G has changed so that ~E is chosen more often.  This is seen
             when printing large numbers.  Instead of printing lots of
             zeroes, ~E is used.  ~G now matches what Fortran would do.
           o Inconsistencies between print and ~E are now gone.  (See Trac
             ticket #1.)
           o Some incorrectly printed results for ~E have been fixed.  (See
             Trace ticket #12.)
    
      + Bugfixes:
        ++ Floating-point traps are now handled on ppc.  Previously, no
           traps were signalled and SET-FLOATING-POINT-MODES did nothing.
        ++ FILE-POSITION no longer returns negative values for mapped
           file-simple-stream's.
        ++ Potential Version numbers that start with a leading 0 are no
           longer treated as version numbers.  Hence, "foo.~1~" has name
           "foo", type nil, and version 1, but "foo.~01~" has type "~01~"
           and version :NEWEST.
        ++ A bug in type derivation for EXPT has been fixed.  (expt x y)
           for x of type (double-float (0d0) 1d0) and y of type
           (double-float (0d0)) now returns (or (member 0d0) (double-float
           (0d0) 1d0)) instead of (double-float 0d0 1d0), i.e., -0d0 is not
           in the range.
        ++ On sparc, the decoding of a trapping FP instruction is correct
           now.  Previously the wrong instruction was decoded, which
           produced the wrong operation and operands in the arithmetic
           error handler.
        ++ Fix issue with UNIX:UNIX-MMAP handling of "large" addresses that
           appeared to be negative numbers.
        ++ DOUBLE-DOUBLE-FLOAT fixes:
           o Converting negative rationals to double-double-float's doesn't
    	     produce wrong answers anymore.
           o (float <negative bignum> 1w0) no longer returns a positive
    	     result.
          o Some issues with creation of DOUBLE-DOUBLE-FLOAT and (COMPLEX
    	    DOUBLE-DOUBLE-FLOAT) have been fixed on sparc, ppc, and x86.
    	    These seem to work, except there appears to be some bugs on x86
    	    when compiling at speed 3 and safety 0.
          o (INTEGER-DECODE-FLOAT <double-double-float>) was sometimes
    	    returning the wrong integer value because the two components had
    	    the wrong sign.
          o Some issues with debugger printing out DOUBLE-DOUBLE-FLOATs and
    	    (COMPLEX DOUBLE-DOUBLE-FLOAT)'s have been fixed.
          o CLOS now recognizes that (COMPLEX DOUBLE-DOUBLE-FLOAT) is a
            valid built-in class instead of a random object.
          o Branch cuts for ASIN and ATANH for double-double-float's
            should match the branches for double-float's.
          o ATAN2 should correctly handle signed double-double-float
            zeroes.
          o FASL files containing -0w0 are now converted to -0w0 instead
            of 0w0.
          o SIN and TAN return -0w0 when the argument is -0w0.
            Previously, they returned 0w0.
          o Signed zeroes are handled better for addition, subtraction,
            and multiplication.  That is, the correct signed zero is
            returned now.
          o Overflow in addition, multiplication, and division returns
            infinity if traps are disabled.
          o EQL supports DOUBLE-DOUBLE-FLOAT's now.
          o The printer and reader should now be consistent for
            double-double-floats. 
          o Conversion of bignums and ratios to double-double-floats
            should be more accurate.
          o Double-double-float's should have print/read consistency now.
          o TRUNCATE works now when given a DOUBLE-DOUBLE-FLOAT divisor.
          o FORMATted output of DOUBLE-DOUBLE-FLOAT's should work. 
        ++ The assembler for ppc had some arguments for some instructions
           in the wrong order, producing the wrong effect. 
        ++ When making displaced arrays, the element types are checked to
           see if they are type equivalent.  If not, an error is signaled.
        ++ The reader for #= and ## has been enhanced to be much faster for
           cases with a large number of shared objects.  However, it is also
           somewhat slower for simple cases.
        ++ #p"..." now has a namestring and is treated as a pathname with
           name ".." and type "".
        ++ #p"..a" erroneously had directory (:relative).  This has been
           fixed so that directory = nil, name = ".", and type = "a".
        ++ Compiling code using SIGNUM no longer causes a compiler error.
           The defoptimizer for SIGNUM was missing a case for
           double-double-float. 
        ++ MAPHASH no longer causes a type-error when the mapping function
           calls (setf gethash) on the same table.
        ++ NOTINLINE declarations are honored for local functions even if
           they only have only one use.  Previously, these would be inlined
           anyway.  This allows tracing of such functions.
        ++ TRACE and UNTRACE should now work as expected for local
           labels/flet functions.  Untracing should work.  Redefining a
           function should automatically retrace the local functions if
           they were traced previously.
        ++ Callbacks should now work on systems where malloc'ed space does
           not normally allow execution of code.
        ++ The FLOAT-ACCURACY declaration has been removed.  This should
           have no affect on most user's code, unless they were using
           this.  The default is 53-bit (double-float) precision for
           everything and the compiler takes care of the precision for the
           appropriate ABI.  It is the compiler's responsibility to make
           sure single-precision floats are done correctly with
           single-precision results.  (This may be buggy currently.)
        ++ The :PRECISION-CONTROL keyword in SET-FLOATING-POINT-MODES has
           been removed.
        ++ A compiler bug with type inferencing and deleting unsued
           functions has been fixed.
        ++ A compiler bug has been fixed where a source transformation was
           incorrectly applied because the local variable haed.  An error 
           is generated if the number of days doesn't match the number of 
           days in the given month.
        ++ #10 fixed.  ROUND should now return correct answers for floats
           bigger than most-positive-fixnum.
        ++ #11 fixed.  EQL handles double-double-float's correctly now.
        ++ #1 fixed.  prin1 and ~E should produce the same results.
        ++ #12 fixed.  (format t "~10,1,2,0,'*,,'DE" 1d-6) prints "0.1D-05"
           now.
        ++ #13 fixed.  (format nil "~11,3,2,0,'*,,'EE" .9999) produces
           0.100e+1 instead of 1.000e+0.
    
      + Other changes:
        ++ UNIX:UNIX-ERRNO accesses the thread errno value instead of the
           global errno value.
        ++ Floating point zero is now printed with an exponent of zero,
           independent of any scale factor that might be used.  Thus, we
           get results like "0.0D+00" instead of "0.0D-5".
        ++ CMUCL should now build and run on Redhat Fedora Core 9.
    
      + Improvements to the PCL implementation of CLOS:
        ++ Forward-referenced classes are allowed.
    
      + Changes to rebuilding procedure:
        ++ load-world.sh now supports a -p option to load the world without
           PCL.  This is mostly for cross-compiling which doesn't want PCL
           loaded because it's not build during a cross-compile.
        ++ make-dist.sh now defaults to bzip compression instead of gzip.

  [Luca Capello] 
     * Acknowledge NMU (Closes: #473948).
   
     * src/lisp/Config.linux_gencgc:
       - restore upstream version, modifications to upstream files must
         be managed through a Debian-specific patch system.
   
     * debian/rules:
       - remove suspicious lines.
       - remove trailing spaces.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 17 Feb 2009 20:33:06 +0000

cmucl (19d-20061116-4.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Remove -I- from the CPPFLAGS. Patch by Sebastian Bober.
    (Closes: #473948)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Apr 2008 21:45:29 +0200

cmucl (19d-20061116-4) unstable; urgency=low

  * Fixed FTBFS with texlive mess. Thanks to Matt Kraai for the patch
   (Closes: #443705)
  * Use Vcs-Bzr in control file
  * updated standard version no real changes
  * added homepage field
  * Changed to group maintanance
  * Mention "Common Lisp" in it's description (Closes: #460826)
  * Added dh_shlibdeps to rules file
  * Removed usr/sbin directory

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 18 Feb 2008 23:11:47 +0100

cmucl (19d-20061116-3) unstable; urgency=low

  * Added XS-Vcs-Bzr line to control file.
  * Added portuguese translation (Closes: #430988)
  * Now depend on texlive
  * Added po-debconf Build-Dependency

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Sep 2007 17:05:45 +0200

cmucl (19d-20061116-2) unstable; urgency=low

  * Applied patch-002, which:
     "This patch includes some additional fixes for forward-referenced
     classes.  With this patch, McCLIM CVS (as of a week or so ago) can
     compile correctly."

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 09 Apr 2007 01:29:09 +0200

cmucl (19d-20061116-1) unstable; urgency=low

  * New upstream release, fixes:
    - no longer a sigsegv on (read "A")
      Closes: #389991
    - Self-referential alien functions
      now compile.
      Closes: #113928
      (yes this bug is 5 years old)
    other major changes are documented in
     /usr/share/doc/cmucl/release-19d.txt.gz
  * Updated standard version without real changes.
  * Make cmucl manpage the one of the lisp and cmucl-lisp the one
    about the system. This way the manpage reflects the new
    prefered executable name (cmucl).
  * Includes patch-001, also added this to
    src/tools/setenv-scripts/base-features.lisp
  * Use relative package names

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 22 Nov 2006 20:07:03 +0100

cmucl (19c-release-20051115-4) unstable; urgency=high

  * fix FTBFS (hevea problem) with a patch from: Julien Cristau.
    (Closes: #397575)

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 10 Nov 2006 09:33:53 +0100

cmucl (19c-release-20051115-3) unstable; urgency=low

  * updated watch file
  * Corrected invalid debconf priority (Closes: #386002)
  * Many thanks to Steinar H. Gunderson for his NMU (Closes: #386431)

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Sep 2006 22:07:00 +0200

cmucl (19c-release-20051115-2.1) unstable; urgency=medium

  * Non-maintainer upload; all patches by Arjan Oosting.
  * Update build dependency to lesstif2-dev; fixes FTBFS. (Closes: #384758)
  * Fix typo in debian/config; fixes lintian error about unknown debconf
    priority.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  7 Sep 2006 16:33:41 +0200

cmucl (19c-release-20051115-2) unstable; urgency=low

  * Included upstream patch 001:
     Fixes pprinter bug for multiple-value-bind, cmucl-imp, 2006-01-09

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 11 Jan 2006 12:54:57 +0100

cmucl (19c-release-20051115-1) unstable; urgency=low

  * New upstream version

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 29 Nov 2005 16:37:59 +0100

cmucl (19c-pre1-20051019-2) unstable; urgency=low

  * FTBFS with new tetex-bin: Cannot find src/docs/interface/toolkit.dvi
    Fixed by using '\usepackage{ifpdf}' (Closes: #337258)

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  8 Nov 2005 21:09:56 +0100

cmucl (19c-pre1-20051019-1) unstable; urgency=low

  * Swedish debconf templates translation (Closes: #331308)
  * Spanish debconf translation (Closes: #334396)
  * Simplify chinese debconf translation (Closes: #334695)
  * New upstream

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 19 Oct 2005 19:44:31 +0200

cmucl (19b-release-20050726-5) unstable; urgency=low

  * provide man page for cmucl-run
  * reintroduced hemlock text mode, using infocmp.
    Based on an idea by François-René Rideau
  * Fixed build-depends on bc. Closes: #328040 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 13 Sep 2005 09:05:32 +0200

cmucl (19b-release-20050726-4) unstable; urgency=low

  René van Bevern:
    * Closes: #182679
      + register binary file format with binfmt-support
      + allow #!-lines in lisp source files (e.g. #!/usr/bin/cmucl-run)
    * debian/dirs: do not install empty directorys in "cmucl" package
      below /usr/share/doc/cmucl/tutorials
  Peter Van Eynde:
    * Disabled Hemlock text mode. Closes: #326598

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  5 Sep 2005 16:14:43 +0200

cmucl (19b-release-20050726-3) unstable; urgency=low

  Peter Van Eynde:
    * Fix typo. Closes: #299970

  René van Bevern:
    * debian/prerm: delete /usr/lib/cmucl/lisp.core (Closes: #323130)

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 15 Aug 2005 21:42:05 +0200

cmucl (19b-release-20050726-2) unstable; urgency=low

  * added ${misc:Depends} to fix debconf2 and cdebconf problems

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Aug 2005 11:00:44 +0200

cmucl (19b-release-20050726-1) unstable; urgency=low

  * add remove-clc to cmucl.sh implementation script [from rvb]
  * Upstream decided to un-release this version and go back to a pre2 version.
    As it is not possible to remove the release I have included the changes to
    pre2 in this release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Jul 2005 22:26:40 +0200

cmucl (19b-release-20050628-4) unstable; urgency=low

  * Now include 19b release notes instead of 19a!
    Closes: #316974

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  5 Jul 2005 20:23:03 +0200

cmucl (19b-release-20050628-3) unstable; urgency=low

  * Removed old CVS build script
  * Updated policy version
  * Added watch file
  * Moved to darcs-buildpackage
  * Updated banner

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  5 Jul 2005 07:51:58 +0200

cmucl (19b-release-20050628-2) unstable; urgency=low

  * Fixed -quiet flag in the clc script, so the harald work again. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 30 Jun 2005 11:44:06 +0200

cmucl (19b-release-20050628-1) unstable; urgency=low
 
  * New upstream.
  * Fixed gcc to version 3.4 as this is the only supported version. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 29 Jun 2005 21:22:21 +0200

cmucl (19b-pre1-20050614-1) unstable; urgency=low

  * Added Vietnamese translation from Clytie Siddall. Closes: #313363
  * Removed menu as the intented interaction is via slime.
  * Added x-dev to build-depends 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 15 Jun 2005 22:26:03 +0200

cmucl (19b-pre1-20050606-1) unstable; urgency=low

  * New upstream release.
  * Removed dummy packages. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  6 Jun 2005 21:56:25 +0200

cmucl (19a-release-20040728-12) unstable; urgency=low

  * Added Czech translation from Martin Šín. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 21 Apr 2005 14:16:47 +0200

cmucl (19a-release-20040728-11) unstable; urgency=low

  * Adapt short descriptions to be deborphan compliant.
  * Included udp networking patch. Closes: #290503
  * Include MP patch. Closes: #290504
    Thanks to Peder Chr. Norgaard for both patches.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  3 Mar 2005 22:57:09 +0100

cmucl (19a-release-20040728-10) unstable; urgency=medium

  * Added forgotten libraries: simple-streams-library.x86f
    iodefs-library.x86f and gray-compat-library.x86f


 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 27 Jan 2005 19:31:32 +0100

cmucl (19a-release-20040728-9) unstable; urgency=low

  * Include patch-002: 
    UNBOUND-SLOT accepts :NAME arg and no longer accepts the :SLOT arg as
    reported on cmucl-imp on 2004-08-31

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 19 Oct 2004 10:17:50 +0200

cmucl (19a-release-20040728-8) unstable; urgency=low

  * Added Japanese debconf. Closes: #276809
  * Added cmucl as alias for the "lisp" command that is getting a bit 
    presumptuous. In a future release the old lisp command will be 
    replaced with cmucl.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 17 Oct 2004 11:59:49 +0200

cmucl (19a-release-20040728-7) unstable; urgency=low

  * Removed patch-000 directory that got included by mistake. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 13 Sep 2004 13:34:31 +0200

cmucl (19a-release-20040728-6) unstable; urgency=low

  * Fixed patch-000 inclusion. Closes: #271126. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 11 Sep 2004 19:23:26 +0200

cmucl (19a-release-20040728-5) unstable; urgency=low

  * Include patch cmucl-19a-patch-000:
    Enable module provider support for 19a
  * Updated patch cmucl-19a-patch-001:
    Fixes PCL bug with MAKE-INSTANCE reported by 
    Axel Schairer on cmucl-imp on 2004-08-05

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Sep 2004 17:35:49 +0200

cmucl (19a-release-20040728-4) unstable; urgency=low

  * Correct references to old clc based system. Closes: #268145 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 30 Aug 2004 10:39:06 +0200

cmucl (19a-release-20040728-3) unstable; urgency=low

  * Include PCL bugfix.
  * Updated the src/docs Makefile to use the subdir Makefiles to make clean. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 14 Aug 2004 13:04:48 +0200

cmucl (19a-release-20040728-2) unstable; urgency=low

  * Moved clx, hemlock and gray-streams libraries back into the main
    package. This will cause a conflict with the cmucl-clm package
    from the previous version, but I don't want to declare a conflict for it
    in the control file because then dselect will want to remove the package
    which is not what I want. Just ignore the error and retry.
  * Removed pre-4.0 clc script commands.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Aug 2004 17:54:22 +0200

cmucl (19a-release-20040728-1) unstable; urgency=low

  * Also install the old subsystems again.
  * Uses new common-lisp-controller. Closes: #253370
    if you use clc:clc-require :foo as require function.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 30 Jul 2004 11:24:23 +0200

cmucl (19a-release-20040728-0) unstable; urgency=low

  * New upstream release. Closes: #200328, #202487

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 28 Jul 2004 23:30:58 +0200

cmucl (19a-pre3-0) experimental; urgency=low

  * New trial release, this time with improved support for tracking
   upstream with a smaller diff.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 20 Jul 2004 11:20:14 +0200

cmucl (19a-0pre3) experimental; urgency=low

  * New trial release.
  * Should have less junk in diff file! 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 17 Jul 2004 01:05:45 +0200

cmucl (19a-0pre2) experimental; urgency=low

  * New upstream, fixes:
    - the alien bug Closes: #200328
    - the #0A() bug Closes: #202487

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Jul 2004 22:45:45 +0200

cmucl (19a-0pre1) experimental; urgency=low

  * Trial release.
  * Moved examples from cmucl to cmucl-docs package
  * Put " in menu file
  * Added support for cl-package modifying file to the .asd files 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 25 Jun 2004 09:47:54 +0200

cmucl (18e-10) unstable; urgency=low

  * Added german translation. Closes: #250942
  * Removed latex2html monster again... Closes: #251445 

 -- Peter <pvaneynd@debian.org>  Sun, 30 May 2004 23:12:12 +0200

cmucl (18e-9) unstable; urgency=low

  * Fixed typo in debconf templates. Closes: #240778
  * Added nl po translation. Closes: #241427 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Apr 2004 13:59:27 +0200

cmucl (18e-8) unstable; urgency=low

  * We don't need latex2html anymore. Removed from build-depends.
    Closes: #221328
  * Again include cross-referencing.html. Closes: #215427

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 Nov 2003 16:51:01 +0100

cmucl (18e-7) unstable; urgency=low

  * Now don't conflict anymore. Should go into testing...
  * Now uses debconf-po system. Closes: #205766, #206825 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 16 Sep 2003 10:05:54 +0200

cmucl (18e-6) unstable; urgency=low

  * The old packages should really exist this time!
  * Now again includes internet.html file. Closes: #203344

 -- Peter <pvaneynd@debian.org>  Thu, 31 Jul 2003 23:54:04 +0200

cmucl (18e-5) unstable; urgency=low

  * Now I create the cmucl-small cmucl-normal and cmucl-safe
    package again, but with just a readme. This will make
    cmucl go into testing (I hope). After the next release
    we should ask ftp to remove those packages.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  3 Jul 2003 11:53:51 +0200

cmucl (18e-4) unstable; urgency=low

  * We do need latex2html after all! Closes: #197203
  * Added file locations to lisp(1) manpage. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 16 Jun 2003 12:11:58 +0200

cmucl (18e-3) unstable; urgency=low

  * Added code to handle the old debconf settings. Closes: #196035
  * Fixed the demo function in site-init. Well spotted by Martin Rydstrom.
    Closes: #196295
  * Removed empty overrides file that got lost during the patching of
    the original source and removed the installation of that empty file.
    Closes: #196950

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 11 Jun 2003 16:45:05 +0200

cmucl (18e-2) unstable; urgency=low

  * Make it suggest termcap-compat. Closes: #162400
  * Updated description: removed references to other cores. Closes: #193264
  * Improved debhelper use
  * Made it a non-native package _for real_ this time... :-(
  * asd patch from Russell Senior.
  * Stole the more advanced debconf stuff from sbcl :-) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 28 May 2003 09:55:30 +0200

cmucl (18e-1) unstable; urgency=low

  * 18e release
  * We now check for a broken config at config time and warn, and
    again at build and invocation time and refuse to start :-(.
    Closes: #174454,#185570
  * Removed the demo stuff in the site-init file. Closes: #178495
  * Removed direct syscall as it caused incompatibilities
  * We now keep the lisp core file untouched and create the default lisp.core
    file on clc install. Thus the md5 is always the same.
    Closes: #181207
  * Fixed hemlock asdf files. Closes: #188287
  * Fixed missing export from PCL. Closes: #188830 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 May 2003 13:50:58 +0200

cmucl (3.1.7) unstable; urgency=low

  * Updated build-depends. Closes: #175426
  * Fixed cmucl-user.tex to not use latex2html junk. Closes: #175471

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 12 Jan 2003 13:21:41 +0100

cmucl (3.1.6) unstable; urgency=low

  * Breaks a few packages because we now use asdf. I added all
    the Conflicts I could. Never the less this is a release
    for the "real man/woman" out there. Try to report (and fix :-)
    as many bugs as possible...
  * create-inet-listener now with reuse-addr. Closes: #164772
  * Updated some configuration scripts for new common-lisp-controller syntax
  * Now uses hevea to generate the html files. Closes: #168622
  * Now uses asdf
  * No more #\. at the end of the descriptions.
  * Made more references about how to use CLX. Closes: #172202
  * Removed traces of the defsystem, now suggests cl-defsystem3.
  * 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 16 Dec 2002 15:03:53 +0100

cmucl (3.1.5) unstable; urgency=low

  * Explained termcap dependency. Closes: #162400 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 26 Sep 2002 18:04:51 +0200

cmucl (3.1.4) unstable; urgency=low

  * Updated clc support.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 24 Sep 2002 07:13:48 +0200

cmucl (3.1.3) unstable; urgency=low

  * Fixed termcap-compat dependency for hemlock...
  * Again includes cmucl sources that got left out by error.
    Closes: #155928, #158540.
  * Should have good clc integration, so Closes: #154479
  * Now contains the read-sequence stuff. Closes: #108904
  * CLX input-focus problem fixed. Reported by Manuel Giraud. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 29 Aug 2002 06:29:09 +0200

cmucl (3.1.2) unstable; urgency=low

  * Fixed typo in help. Closes: #153721
  * Hmpf. Still Closes: #152531, #96747, #108627, #152332
  * Removed cmucl-clm.system at it doesn't work.
  * Now also includes actuall source! Closes: #155928,#156295
  * Made recompiltation more verbose to aid in debugging. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 24 Aug 2002 07:56:19 +0200

cmucl (3.1.1) unstable; urgency=low

  * Make rm non-interactive. Closes: #152531
  * Improved clc failure reporting.
  * cmucl-script now returns 1 on build failure, so clc can report the bug.
  * Well the new clc or-of fixes the "too much stuff in cmucl-source"
    problem. Not? Closes: #96747
  * Introduced fake packages to aid in dependency conflicts.
    Closes: #152332, #108627

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Jul 2002 14:09:01 +0200

cmucl (3.1.0) unstable; urgency=high

  * send-clc-command now truely overridden
  * No need anymore to load common-lisp-controller at startup.
  * Now using update-alternatives. Closes: #151604
  * Fixed building bug. This version can recompile itself again.
    I urge everone who has the misfortune of using 3.0.13 to upgrade.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  4 Jul 2002 13:56:23 +0200

cmucl (3.0.13) unstable; urgency=low

  * Don't show old cores with cmuclconfig
  * clc v3 fixes
  * Now hemlock starts "lisp" not anymore "cmucl". Closes: #148477
  * Docs in a seperate package. Closes: #148253
  * reader now threadsafe. Closes: #149177
  * Now no more CVS directories in cmucl-source. Closes a lintian report.
  * We are port 18d now. Closes: #145670 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 22 Jun 2002 23:40:55 +0200

cmucl (3.0.12) unstable; urgency=medium

  * Fixed symbolic link. Closes: #138637
  * Almost new upstream release: this is the pre-release 18d version.
  * defsystem: synced with clocc
  * added Makefile-standalone for standalone recompilation (as to
    why one wants to do this???)
  * Fix from Helmut Eller <e9626484@stud3.tuwien.ac.at> for error messages.
  * Now gives a failure on compilation error.
    Closes: #144546
  * Now uses with-compilation-unit to quiet the compilation.
    Closes: #144547
  * Now build-depends on cmucl-safe, normal and small. We should make cmucl depend
    on cmucl-foo but this broke dpkg last time round. Lets try that again
    after release :-).
    Closes: #145979
  * clc version 3 compatible: returns an error on build-failure with the
    error printed out...
  * Still closes: #127903,#128881
  * Gray streams work again :-S 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 22 May 2002 22:59:44 +0200

cmucl (3.0.11) frozen unstable; urgency=low

  * Fixed bashism. From a bugreport by Jonathan Hseu 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 21 Feb 2002 14:33:05 +0100

cmucl (3.0.10) frozen unstable; urgency=medium

  * now with ignore-errors round the printing
    of errors in batch mode, so c-l-c compiles
    don't hang anymore on errors. Closes: #128881
  * commented out gray-stream examples causing problems.
    Closes: #127903

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Jan 2002 18:20:56 +0100

cmucl (3.0.9) frozen unstable; urgency=low

  * bytecompiling is a word. Closes: #124509
  * Demos now work. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 30 Dec 2001 14:29:07 +0100

cmucl (3.0.8) frozen unstable; urgency=high

  * Fixed location of library. Closes: #123451
  * Fixed dependencies. Closes: #123458.
  * Updates *features* to pre-18d standard but without adding :cmu18d. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 13 Dec 2001 07:09:21 +0100

cmucl (3.0.7) frozen unstable; urgency=high

  * Upstream update Closes: #122135
  * Reupload due to failure of .uk mirror, so still Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  9 Dec 2001 22:04:51 +0100

cmucl (3.0.6) frozen unstable; urgency=high

  * Now cmuclconfig also handles normal cores.
  * cmucl-clm should work again...  Closes: #116917, #110598

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 21 Nov 2001 23:51:11 +0100

cmucl (3.0.5) frozen unstable; urgency=low

  * cmucl-source now depends on common-lisp-controller.
    Closes: #117259
  * Several upstream fixes.
  * Fixed Motif interface.
    Closes: #116917, #110598, #117934, #119469
  * Now includes the include directory.
    Closes: #119419

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 16 Nov 2001 23:32:26 +0100

cmucl (3.0.4) frozen unstable; urgency=low

  * Now 'ed' works again.
    Closes: #104120

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 28 Aug 2001 15:48:46 +0200

cmucl (3.0.3) frozen unstable; urgency=low

  * Ed works. Fixes: #104120.
  * Added conclict against old package. Fixes: #104246
  * CLX fix. Bugreport from Iban HATCHONDO <hatchond@yahoo.fr>.
  * Disabled lazy mode. It fails randomly on 2.2 and always on 2.4.
    Further work is needed, but at the moment I have no time.
    Sort-of Fixes: #107473
  * Added more conflicts. Should: Fixes: #105561

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Aug 2001 11:34:46 +0200

cmucl (3.0.2) frozen unstable; urgency=low

  * Forgot to upgrade the version number!
  * Remove-defsystem now works.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  7 Jul 2001 15:07:35 +0200

cmucl (3.0.1) frozen unstable; urgency=low

  * Fixed *batch-mode* bug
  * Rebuild for dpkg-dev bug. Fixes: #96609,#97927,#98733,#100526,#96611,#99092,#86365,#97749,#76867.
  * Removed html documention: too painfull to build.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  4 Jul 2001 12:08:32 +0200

cmucl (3.0.0) frozen unstable; urgency=low

  * General cleanup and integration with common-lisp-controller.
  * Pre-depends on a newer c-l-c. Fixes: #96609,#97927,#98733,#100526.
  * Now lazy by default. Fixes: #96611,#99092.
  * Still fixes: #76867.
  * Should contain less junk in site-init.lisp. Fixes: #86365.
  * 18c in *features*. Fixes: #97749.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 30 Jun 2001 02:19:01 +0200

cmucl (2.5.2) frozen unstable; urgency=low

  * Hemlock now finally works.
  * Fixed herald. Fixes: #76867.
  * Still fixes: #71776.
  * Now small is called small in cmucl-script.sh (Fufie on #Lisp)
  * Fixed defsystem interaction 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  2 May 2001 22:05:38 +0200

cmucl (2.5.1) frozen unstable; urgency=high

  * Updated defsystem.
  * Numerous c-l-c bugfixes
  * Reversed broken patch. Fixes: #87075

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 22 Feb 2001 22:26:32 +0100

cmucl (2.5.0) unstable; urgency=high

  * Using common-lisp-controller
  * Updated to 18c platform.
  * Bugfix for non-keyword keyword arguments..
  * Locally is now a special form and should work properly.
  * Added documentation for building.
  * Fixed graphic character def.
  * Fixed the lazy option, the FreeBSD malloc patches broke it :-(.
  * Fixed the dependency problem by just giving up :-( Fixes: #71776.
  * The cmucl-source package should offer source level
    debugging. Fixes: #71100.
  * Removed cmu17 from *features*. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 30 Jan 2001 21:30:54 +0100

cmucl (2.4.22) unstable; urgency=high

  * subseq and compiler-warning fixes
  * Fixed dependencies
  * Fixed a lexical closure code generation bug
  * Updated map implementation 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun,  1 Oct 2000 08:33:06 +0200

cmucl (2.4.21) unstable; urgency=high

  * fixed build-depends stuff Closes: #70327, #70234
  * cmuclconfig now uses lazy. Closes: #66294
  * Make improvements. Closes: #67220
  * Updated base version, so should Closes: #67221
  * Seems fixed: Closes: #37318
  * made cmucl-clm depend on cmucl-clx. Closes: #69841
  * Some clos and stream enhancements
  * added -rdynamic flag
  * cmucl: fixed fp < operator: Closes: #71099
  * Skipped "official" gray-stream patch as it doesn't work
    for me :-(. Tired of trying to find out why..
  * time-related fixes.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 10 Sep 2000 12:41:08 +0200

cmucl (2.4.20) unstable; urgency=high

  * Added the gray strean package
  * double escape character fix
  * fix for rationalize
  * #\ fix
  * cmuclconfig now can be used by non-root users to 
    generate custom lisp images.
  * Documentation generating checked. Closes: #58907.
  * User manual now works again. Closes: #59205.
  * Better manual page: Closes: #61136.
  * Fixed loop problem. Reported by Lyle Borg-Graham.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  5 Feb 2000 11:38:48 +0100

cmucl (2.4.19) frozen unstable; urgency=high

  * Fixed critical exp error. Now transcendental functions work again.
    Closes: #56876.
  * Abort on errors during recompile.
  * Remove old init.d file. Closes: #56716

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 26 Jan 2000 07:52:11 +0100

cmucl (2.4.18) frozen unstable; urgency=low

  * Improved hash tables.
  * Tries to run on 2.0.xx. Closes: #53304.
  * And with fall-back MAP_NORESERVE to avoid setting a global
    flag. Closes: #55093.
  * Now with lazy memory allocation. Closes: #33747.

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 19 Nov 1999 18:15:35 +0100

cmucl (2.4.17) unstable; urgency=low

  * Rebuild for new lesstif version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 25 Oct 1999 23:40:10 +0200

cmucl (2.4.16) unstable; urgency=low

  * Moved to FHS.
  * added documentation about the differences with J13
    (closes: #42422).
  * moved to a new memorymap that gives us a bit more space: 1.75 GB.
  * added hemlock example init file
  * reviewed documentation
  * dtc and me wrote a direct syscall layer to the kernel. This 
    improves the mp-ness of lisp and is generaly faster.
  * upstream we added 64-bit foreign integers. llseek here we
    come...
  * moved defsystem to main. The new maintainer gave me
    permission to edit the copyright notice. A new release
    will have an even cleaner copyright, but isn't expected 
    soon.
  * fixed a cmuclconfig buglet, reported by william@tansao.live.com.au
  * fixed SA_SIGINFO warning message
  * now use gpg for signing...
  * Fixed as bug. Closes: #46675
  * added a init.d file to do the 2.2.x kernel overcommit stuff.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu,  7 Oct 1999 06:07:51 +0200

cmucl (2.4.15) unstable; urgency=low

  * removed references to non-existing info docs.
  * New upload due to gpg problems.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Jul 1999 02:56:42 +0200

cmucl (2.4.14) frozen unstable; urgency=low

  * Now small also works on a {34}86
  * Added dpkg-bug workaround, bug #38822
  * Fixed config.sys bogus CMUCLLIB statement.
  * Fixed a string-stream buglet.
  * Added (partial) direct syscall support.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 25 May 1999 21:09:40 +0200

cmucl (2.4.13) frozen unstable; urgency=low

  * Made an error, will try to reupload
  * The error was good: I found an error in config.lisp. 
    One of the brown paper bag type :-(.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 10 May 1999 20:06:47 +0200

cmucl (2.4.12) frozen unstable; urgency=low

  * Nothing yet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  5 May 1999 23:13:46 +0200

cmucl (2.4.11) frozen unstable; urgency=low

  * Fixed the dependencies :-(

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  4 May 1999 19:49:25 +0200

cmucl (2.4.10) frozen unstable; urgency=low

  * Splitted core in small/safe.
  * Fixed bug #34554: setfpucw reference removed.
  * Fixed misspellings
  * Fixed bug #33262: added depends of cmucl-clx on xfree86-common

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  1 Mar 1999 19:37:43 +0100

cmucl (2.4.9) frozen unstable; urgency=low

  * Fixed the defsystem copyright notice. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 21 Dec 1998 09:00:18 +0100

cmucl (2.4.8) frozen unstable; urgency=low

  * Recompiled for new libc.
  * Fixed clm buglet

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 16 Dec 1998 12:02:28 +0100

cmucl (2.4.7) frozen; urgency=low

  * Fixed a PCL bug
  * Fixed a critical errorchecking bug!

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 23 Oct 1998 12:13:00 +0200

cmucl (2.4.6) unstable; urgency=low

  * added high-security option.
  * now dh-make based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:19:12 +0200

cmucl (2.4.5) unstable; urgency=low

  * fixed coerce
  * Completed glibc2 support
  * Hemlock now should work in tty-mode
  * Format ~t fix
  * psetq now returns nil
  * added more error-checking
  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  9 Jun 1998 09:42:31 +0200

cmucl (2.4.4) unstable; urgency=low

  * new upstream version. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  3 Jun 1998 15:03:17 +0200

cmucl (2.4.3) unstable; urgency=low

  * gray-stream support 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri, 22 May 1998 20:54:12 +0200

cmucl (2.4.2) unstable; urgency=low

  * removed wrong menu.ex file.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  2 May 1998 13:45:30 +0200

cmucl (2.4.1) unstable; urgency=low

  * -r
  * --help
  * 
  * deleted the html manuals because the image generation doesn't work.
  * fixed the hemlock problem. It turned out hemlock doesn't work with :bootstrap.
  * fixed the *features* after loading subsystems.
  * fixed the config.lisp script.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 22 Apr 1998 17:48:22 +0200

cmucl (2.4.0) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  4 Apr 1998 22:22:24 +0200

Local variables:
mode: debian-changelog
End:
